//
//  ELURLDiscoveryOperation.h
//  ELKit
//
//  Created by Douglas Welton on 6/8/13.
//
//

#import <Foundation/Foundation.h>

@protocol ELURLDiscoveryOperationDelegate <NSObject>

- (BOOL) isValid: (NSURL *)targetURL;

- (void) discoveryCompleted: (NSArray *)validURLs hadError: (BOOL) hadError;

@end


@interface ELURLDiscoveryOperation : NSOperation
{	
	NSArray					*urls;
	NSMutableArray			*discoveredURLs;
	
	id						 delegate;
	
	BOOL					 includeSubdirectories;
    BOOL                     errorOnDiscovery;
	}

@property (retain)	NSArray					*urls;
@property (retain)	NSMutableArray			*discoveredURLs;
	
@property (retain)	id						 delegate;
	
@property			BOOL					 includeSubdirectories;	
@property			BOOL                     errorOnDiscovery;

- (id) initWithURLs: (NSArray *)candidateURLs withDelegate: (id<ELURLDiscoveryOperationDelegate>)targetDelegate useSubdirectories: (BOOL)useSubdirectories;

@end
